﻿# ===== Запуск Flask веб-приложения с помощью сервера разработки =====

# Доступ к определению класса Flask
from flask import Flask

# Каждое веб-приложение создает экземпляр класса Flask
app = Flask(__name__)

# Маршрутизатор на основе декоратора запускает функцию hello() по адресу "/"
@app.route('/')
def hello():
    # Вывод html-кода в браузер по указанному 
    # в маршрутизаторе адресу
    return "<h1>Hello World! Привет Мир!</h1>"

if __name__ == '__main__':
    import os
    # Получение имени хоста для запуска веб-приложения.
    # Настраивается в свойствах проекта.
    HOST = os.environ.get('SERVER_HOST', 'localhost')

    # Если раскомментировать строки ниже
    # в окне интерпретатора распечатается список
    # переменных среды со значениями.
    #print("===== Переменнные среды =====")
    #for key in os.environ.keys() :
    #    print("{0}: {1}".format(key, os.environ[key]), end="\n")
    #print("===== /Переменнные среды ===== \n")

    try:
        # Номер порта доступа к запущенному веб-приложению.
        # Выбирается системой случайным образом.
        PORT = int(os.environ.get('SERVER_PORT', '5789'))
    except ValueError:
        # При ошибке получения порта доступа к веб-приложению
        # определяется порт по умолчанию
        PORT = 5789
    # Запуск сервера разработки в отладочном режиме
    app.run(HOST, PORT, True)