﻿# ===== Запуск Flask веб-приложения с помощью сервера разработки =====

#====================================================
# Описание работы классов и методов исходника на:
# https://www.interestprograms.ru
# Исходные коды программ и игр
# Автор исходных кодов Клочков Павел
#====================================================


# Доступ к определению класса Flask
from flask import Flask
app = Flask(__name__)

# ====== Маршрутизация на основе декораторов =====

# URL = '/'
@app.route('/')
def home():
    # Чтение файла в текстовом режиме только с указанием кодировки.
    # return open('home.html', 'rt', encoding="utf-8")

    # В бинарном режиме чтения можно не указывать кодировку текста.
    # Возращает байты, кодировка не указывается.
    # Кодировка текста распознается по кодировке файла.
    # Так как кодировка файла UTF-8,
    # то и байты будут восприняты как текст с символами UTF-8.
    return open('home.html', 'rb')

# URL = 'page1'
@app.route('/page1')
def page1():
    return open('page1.html', 'rt', encoding="utf-8")

# URL = 'page2'
@app.route('/page2')
def page2():
    return open('page2.html', 'rt', encoding="utf-8")

# ====== /Маршрутизация на основе декораторов =====


if __name__ == '__main__':
    import os
    HOST = os.environ.get('SERVER_HOST', 'localhost')
    try:
        PORT = int(os.environ.get('SERVER_PORT', '5789'))
    except ValueError:
        PORT = 5789
    app.run(HOST, PORT, True)